| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TransientFastContainerBase Class Reference

`#include <GaudiKernel/TransientFastContainer.h>`

Inheritance diagram for TransientFastContainerBase:

[legend]
Collaboration diagram for TransientFastContainerBase:

[legend]
List of all members.

## Detailed Description

Base class for TransientFastContainer.

This class allow generic access to the reset method without the need to know the actual contained type.

Author:
  Marco Clemencic

Date:
  2006-05-02

Definition at line 21 of file TransientFastContainer.h.

## Public Member Functions
virtual | ~TransientFastContainerBase ()
| Empty virtual destructor.
virtual void | clear ()=0
| Resets the internal counter of used objects.
virtual void | free ()=0
| Deletes all the cached objects.
virtual const std::type_info & | containedType () const=0
| Hosted type id.

## Constructor & Destructor Documentation

TransientFastContainerBase::~TransientFastContainerBase | ( |  | ) | `[virtual]`

Empty virtual destructor.

Definition at line 17 of file TransientFastContainer.cpp.

    00017 {}

## Member Function Documentation

virtual void TransientFastContainerBase::clear | ( |  | ) | `[pure virtual]`

Resets the internal counter of used objects.

Implemented in TransientFastContainer< T, CLEANER >.

Referenced by FastContainersSvc::StoreResetter::analyse().

virtual void TransientFastContainerBase::free | ( |  | ) | `[pure virtual]`

Deletes all the cached objects.

Implemented in TransientFastContainer< T, CLEANER >.

virtual const std::type_info& TransientFastContainerBase::containedType | ( |  | ) | const`[pure virtual]`

Hosted type id.

Implemented in TransientFastContainer< T, CLEANER >.

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/TransientFastContainer.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/src/Lib/TransientFastContainer.cpp